- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::In_Fixed_Size_SArgument_T< S, Insert_Policy > Class Template Reference

Skeleton class template for operation "IN" arguments of fixed size IDL types. More...

`#include <Fixed_Size_SArgument_T.h>`

Inheritance diagram for TAO::In_Fixed_Size_SArgument_T< S, Insert_Policy >:

[legend]
Collaboration diagram for TAO::In_Fixed_Size_SArgument_T< S, Insert_Policy >:

[legend]
List of all members.

## Public Member Functions
S const & | arg (void) const
| Retrieve underlying argument.
@c TAO::Argument Method Overrides
`TAO::Argument` method overrides specific to the type of operation argument represented by this class. See also: `TAO::Argument`.
virtual CORBA::Boolean | demarshal (TAO_InputCDR &cdr)
virtual void | interceptor_value (CORBA::Any *any) const
## Private Attributes
S | x_
| Reference to the "IN" argument.

## Detailed Description

### template<typename S, typename Insert_Policy>
class TAO::In_Fixed_Size_SArgument_T< S, Insert_Policy >

Skeleton class template for operation "IN" arguments of fixed size IDL types.

Skeleton class template for operation "IN" arguments of fixed size IDL types.

## Member Function Documentation

template<typename S, typename Insert_Policy>

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE S const & TAO::In_Fixed_Size_SArgument_T< S, Insert_Policy >::arg | ( | void |  | ) | const

Retrieve underlying argument.

template<typename S, typename Insert_Policy>

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::Boolean TAO::In_Fixed_Size_SArgument_T< S, Insert_Policy >::demarshal | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

template<typename S, typename Insert_Policy>

void TAO::In_Fixed_Size_SArgument_T< S, Insert_Policy >::interceptor_value | ( | CORBA::Any * | any | ) | const`[virtual]`

## Member Data Documentation

template<typename S, typename Insert_Policy>

S TAO::In_Fixed_Size_SArgument_T< S, Insert_Policy >::x_`[private]`

Reference to the "IN" argument.

The documentation for this class was generated from the following files:

- Fixed_Size_SArgument_T.h
- Fixed_Size_SArgument_T.cpp
- Fixed_Size_SArgument_T.inl